769 Star 6.6K Fork 1.4K

GVP萧明 / knife4j

 / 详情

@ApiOperationSupport中ignoreParameters不生效 版本如下

Backlog
Opened this issue  
2024-03-06 08:51

@ApiOperationSupport中ignoreParameters 最新版有出替代方案 这个比较实用 不然要建立一堆实体类或者重新写接口文档
版本:
knife4j-openapi3-spring-boot-starter 4.4.0
<spring-boot.version>2.4.2</spring-boot.version>

Comments (4)

wb created任务

这个好像只支持openapi2我已经降版本了 但降版本后发现过滤生效了 但basic认证失效了 sprng2.7 swagger2 knife4j-openapi2 4.5.0

我是建议写实体的 :cry:

<!-- https://mvnrepository.com/artifact/com.github.xiaoymin/knife4j-openapi3-jakarta-spring-boot-starter -->
<dependency>
    <groupId>com.github.xiaoymin</groupId>
    <artifactId>knife4j-openapi3-jakarta-spring-boot-starter</artifactId>
    <version>4.4.0</version>
</dependency>

希望作者还是将@ApiOperationSupport里的ignoreParameters,includeParameters参数加回来,像新增编辑的实体字段除id外都一样,新增没有id字段,编辑有id字段,就因为一个id字段去新建实体类,代码很冗余的。

我看官网里的描述,后续版本@ApiOperationSupport里的ignoreParameters,includeParameters是完全取消掉了吗?只有4.0的openapi2才会有?

Sign in to comment

Status
Assignees
Milestones
Pull Requests
Successfully merging a pull request will close this issue.
Branches
Planed to start   -   Planed to end
-
Top level
Priority
参与者(5)
118100 xiaoym 1578918321
Java
1
https://gitee.com/xiaoym/knife4j.git
git@gitee.com:xiaoym/knife4j.git
xiaoym
knife4j
knife4j

Search

344bd9b3 5694891 D2dac590 5694891